Documentation Index
Fetch the complete documentation index at: https://docs.hyperbeam.com/llms.txt
Use this file to discover all available pages before exploring further.
Parameters
Higher value = higher priority. Users with a higher priority will preempt the
control of lower priority users.
Number of milliseconds until a user is considered “idle”. Once a user is
considered idle, they no longer preempt lower priority users until they
interact with the virtual browser again.
control_disabled
boolean
default:"{control_disable_default}"
If control_disabled = true, all control input (mouse movements, keyboard
presses) will be ignored. Note that disabling control does not restrict access
to any APIs that require admin tokens.
curl -X POST -H 'Authorization: Bearer <your-api-key>' \
<base_url>/setPermissions -d '["<user_id>", {"control_disabled": false, "control_exclusive": true}]'
The request body mirrors the function signature of setPermissions(userId, permissions) from the JavaScript SDK.